BICO 1.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Pages
Public Member Functions | Public Attributes | List of all members
CluE::CFREntry< T > Struct Template Reference

Clustering feature with representation point. More...

`#include <cfrentry.h>`

Inheritance diagram for CluE::CFREntry< T >:
Collaboration diagram for CluE::CFREntry< T >:

## Public Member Functions
| CFREntry (size_t number, T ls, double ss, T representative)
void | insertWeighted (T const &x)
Public Member Functions inherited from CluE::CFEntry< T >
| CFEntry (size_t number, T ls, double ss)
CFEntry & | operator+= (CFEntry const &x)
CFEntry & | operator-= (CFEntry const &x)
CFEntry | operator+ (CFEntry const &x) const
CFEntry | operator- (CFEntry const &x) const
void | insert (T const &x)
| Inserts a point. More...
void | remove (T const &x)
| Removes a point. More...
T | cog ()
| Returns the center of gravity. More...
double | kMeansCost (T const &center)
| 1-means clustering cost More...

## Public Attributes
T | representative
Public Attributes inherited from CluE::CFEntry< T >
size_t | number
| Number of points contained in the feature. More...
T | LS
| Linear sum. More...
double | SS
| Squared sum. More...
const bool | isWeighted

## Detailed Description

### template<typename T>
struct CluE::CFREntry< T >

Clustering feature with representation point.

Note
  This class expects the following overloaded operators:
  - + : T x T -> T and +=: (vector) sum
  - - : T x T -> T and -=: (vector) subtraction
  - * : T x T -> double: dot product

Definition at line 17 of file cfrentry.h.

## Constructor & Destructor Documentation

template<typename T >

CluE::CFREntry< T >::CFREntry | ( | size_t | number,
|  | T | ls,
|  | double | ss,
|  | T | representative
| ) |  |

Definition at line 25 of file cfrentry.h.

## Member Function Documentation

template<typename T>

void CluE::CFREntry< T >::insertWeighted | ( | T const & | x | ) |

## Member Data Documentation

template<typename T>

T CluE::CFREntry< T >::representative

Definition at line 22 of file cfrentry.h.

The documentation for this struct was generated from the following file:

- src/clustering/cfrentry.h